For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/webhook/patch-api-webhook-v1by-webhook_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Update webhook

PATCH
/api/webhook/v1/:webhook_id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { webhook, webhookError } = await reloop.webhook.update("wh_123456789", {
6 status: "paused",
7});
8if (webhookError) throw webhookError;
1{
2 "id": "wh_123456789",
3 "name": "Payments Webhook",
4 "url": "https://example.com/webhooks/reloop",
5 "secret": "***masked***",
6 "status": "active",
7 "customHeaders": {
8 "x-source": "reloop"
9 },
10 "rateLimitEnabled": true,
11 "maxRequestsPerMinute": 60,
12 "maxRetries": 3,
13 "retryBackoffMultiplier": 2,
14 "filteringOptions": null,
15 "lastTriggeredAt": "2026-03-29T10:00:00Z",
16 "successCount": 10,
17 "failureCount": 1,
18 "consecutiveFailures": 0,
19 "createdAt": "2026-03-29T10:00:00Z",
20 "updatedAt": "2026-03-29T10:00:00Z"
21}

Path Parameters

webhook_idstringRequired

Webhook ID

  • Minimum length: 1

Body Parameters

descriptionstring

Webhook description

  • Minimum length: 1
  • Maximum length: 255
namestring

Webhook name

  • Minimum length: 1
  • Maximum length: 255
urlstring

Webhook URL

secretstring

Webhook secret for HMAC signature verification

  • Minimum length: 8
  • Maximum length: 255
status"active" | "paused" | "disabled"

Possible values: active | paused | disabled

customHeadersobject

Custom headers to include in webhook requests

rateLimitEnabledboolean

Enable rate limiting

maxRequestsPerMinutenumber

Maximum requests per minute

  • Minimum value: 1
  • Maximum value: 1000
maxRetriesnumber

Maximum retry attempts

  • Minimum value: 0
  • Maximum value: 10
retryBackoffMultipliernumber

Retry backoff multiplier

  • Minimum value: 1
  • Maximum value: 10
filteringOptionsobject

Event filtering options

Was this page helpful?